Bug 62401 - xemacs links libXm but doesn't register dependency
xemacs links libXm but doesn't register dependency
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: gj
Depends on:
  Show dependency treegraph
Reported: 2004-02-05 21:10 UTC by khera
Modified: 2004-04-12 22:49 UTC (History)
0 users

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description khera 2004-02-05 21:10:15 UTC

I was cleaning out old unused ports, and one of the things that I deleted was
open-motif since there were no other ports registered as needing it.  xemacs
stopped working.  apparently, xemacs will find open-motif installed and link
against it, but not register it as a dependency.


make the xemacs port either explicitly disable Motif support unless requested,
or make it auto detect when it is there and register the dependency.

i just rebuilt the xemacs port without the motif libs installed and that works

install open-motif
install xemacs
de-install open-motif

xemacs now fails to run with a missing libXm.
Comment 1 Mark Linimon freebsd_committer 2004-02-06 08:10:33 UTC
Responsible Changed
From-To: freebsd-ports-bugs->gj

Over to maintainer.
Comment 2 gj freebsd_committer 2004-04-12 22:47:51 UTC
State Changed
From-To: open->closed

xemacs and xemacs-devel both modified to check for the existence of 
${X11BASE}/lib/libXm.so and, if it is found, to define USE_MOTIF, which 
will add the required dependency.